summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2018-03-15 21:54:50 +0000
committerJames Le Cuirot <chewi@gentoo.org>2018-03-15 21:54:50 +0000
commit98ea9eb4415b4181c485867235ba617af1d12cfe (patch)
treedf57cec461532e21c8ee3f4faac674ff33a73f72 /games-rpg
parentnet-im/mcabber: add dep on libnsl (diff)
downloadgentoo-98ea9eb4415b4181c485867235ba617af1d12cfe.tar.gz
gentoo-98ea9eb4415b4181c485867235ba617af1d12cfe.tar.bz2
gentoo-98ea9eb4415b4181c485867235ba617af1d12cfe.zip
games-rpg/grimrock: Bump to 20150707, EAPI 6, no bundling
This previously bundled SDL 2, probably because it wasn't packaged when this was first added. With that unbundled, there are far fewer dependencies and this makes unbundling everything less likely to break. SDL is particularly stable in this regard. Because of this and in the interests of security, I have dropped the bundled-libs flag. Anyone experiencing issues can obviously file a bug report. I swapped the wrapper script for a symlink as the latter works fine. I dropped the message about libtxc_dxtn because this is no longer necessary with recent versions of Mesa. Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'games-rpg')
-rw-r--r--games-rpg/grimrock/Manifest2
-rw-r--r--games-rpg/grimrock/grimrock-20130515.ebuild122
-rw-r--r--games-rpg/grimrock/grimrock-20150707.ebuild70
-rw-r--r--games-rpg/grimrock/metadata.xml3
4 files changed, 71 insertions, 126 deletions
diff --git a/games-rpg/grimrock/Manifest b/games-rpg/grimrock/Manifest
index cbdc76e9b94..bc79d328a3c 100644
--- a/games-rpg/grimrock/Manifest
+++ b/games-rpg/grimrock/Manifest
@@ -1 +1 @@
-DIST LegendOfGrimrock-Linux-2013-05-15.sh 316846010 SHA256 005066be6ce12ba342e499369070113c6b66a9bea03c6ecb1e5fd0758eb0c39d SHA512 e4907ddfba9a6923f81f188d1452a1bf37e4bbaab4fb9b4befabe167b5159d35acd6c1939b98dd66e3a8f96775d12703206432f60a86c7b4d070acc3a9392f9c WHIRLPOOL a7a5c70c6622737f9904962b248578261137b0c098e7175e309d3470b798b7297dc8aeb42e36b00f809c20f5f105fdfeb75edecca33e94f0d06650f564f02487
+DIST Grimrock-Linux-2015-07-07.sh 316846242 BLAKE2B 5d8123b3e2dedf4d6b2ae6f43c9ebe5427e63205b7ff53dc0fba26b0b3a8a1f164b79a3a10776c751aa0fbe29c7ef715412bff826476894eec6aa545da4adec3 SHA512 c90203a747564223281fb61ffcc7ac90f772990f33bb8345aff68c65fbc371f0f1a611645e952a75bd9dbca9e760398c0411eb9adade9c58e525a5b1c4e186db
diff --git a/games-rpg/grimrock/grimrock-20130515.ebuild b/games-rpg/grimrock/grimrock-20130515.ebuild
deleted file mode 100644
index ad48b03d9a6..00000000000
--- a/games-rpg/grimrock/grimrock-20130515.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit eutils multilib gnome2-utils unpacker games
-
-TIMESTAMP="${PV:0:4}-${PV:4:2}-${PV:6:2}"
-MY_PN="Grimrock"
-DESCRIPTION="Legend of Grimrock: The Ultimate dungeon crawling RPG + modding engine"
-HOMEPAGE="http://www.grimrock.net/"
-SRC_URI="LegendOfGrimrock-Linux-${TIMESTAMP}.sh"
-
-SLOT="0"
-LICENSE="all-rights-reserved"
-KEYWORDS="-* ~amd64 ~x86"
-IUSE="bundled-libs"
-RESTRICT="fetch bindist splitdebug"
-
-QA_PREBUILT="${GAMES_PREFIX_OPT}/${PN}/${MY_PN}.bin.*
- ${GAMES_PREFIX_OPT}/${PN}/lib.*"
-
-RDEPEND="
- app-arch/bzip2
- media-libs/freetype:2
- media-libs/ilmbase
- media-libs/lcms
- =media-libs/libpng-1.6*
- media-libs/libraw
- media-libs/jasper:=
- media-libs/openexr
- media-libs/tiff
- sys-libs/zlib
- virtual/jpeg:62
- virtual/opengl
- x11-libs/libX11
- x11-libs/libXau
- x11-libs/libxcb
- x11-libs/libXdmcp
- x11-libs/libXext
- !bundled-libs? (
- media-libs/freeimage[png]
- media-libs/libogg
- media-libs/libvorbis
- media-libs/openal
- sys-libs/zlib[minizip]
- )"
-DEPEND="app-arch/xz-utils"
-
-S=${WORKDIR}
-
-pkg_nofetch() {
- einfo "Please buy & download ${SRC_URI} from:"
- einfo " ${HOMEPAGE}"
- einfo "and move it to ${DISTDIR}"
- einfo
-}
-
-src_unpack() {
- use amd64 && myarch=x86_64 || myarch=x86
-
- local archivelist=(
- subarch
- instarchive_all
- instarchive_linux_${myarch}
- deps/SDL2/SDL2_files_linux_${myarch}
- deps/FreeImage/FreeImage_files_linux_${myarch}
- deps/libogg/libogg_files_linux_${myarch}
- deps/minizip/minizip_files_linux_${myarch}
- deps/openal/openal_files_linux_${myarch}
- deps/vorbis/vorbis_files_linux_${myarch}
- )
-
- unpack_makeself
-
- local i
- for i in $(if use bundled-libs ; then echo ${archivelist[@]} ; else echo ${archivelist[@]:0:4} ; fi) ; do
- mv "${i}" "${i}.tar.xz" || die
- unpack ./"${i}.tar.xz"
- done
-}
-
-src_install() {
- local dir=${GAMES_PREFIX_OPT}/${PN}
-
- insinto "${dir}"
- doins ${PN}.{dat,png}
-
- exeinto "${dir}"
- doexe "${MY_PN}.bin.${myarch}"
-
- exeinto "${dir}"/lib
- doexe $(get_libdir)/libSDL2-2.0.so.0
- use bundled-libs && {
- doexe $(get_libdir)/lib{freeimage.so.3,minizip.so.1,ogg.so.0,openal.so.1,vorbisfile.so.3,vorbis.so.0}
- }
-
- games_make_wrapper "${PN}" "./${MY_PN}.bin.${myarch}" "${dir}" "${dir}"/lib
- doicon -s 256 ${PN}.png
- newicon -s 64 ${MY_PN}.png ${PN}.png
- make_desktop_entry "${PN}" "Legend of ${MY_PN}"
-
- dodoc README.linux
- prepgamesdirs
-}
-
-pkg_preinst() {
- games_pkg_preinst
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- games_pkg_postinst
-
- elog "If you are using opensource drivers you should consider installing:"
- elog " media-libs/libtxc_dxtn"
-
- gnome2_icon_cache_update
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}
diff --git a/games-rpg/grimrock/grimrock-20150707.ebuild b/games-rpg/grimrock/grimrock-20150707.ebuild
new file mode 100644
index 00000000000..03275c50c9a
--- /dev/null
+++ b/games-rpg/grimrock/grimrock-20150707.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop gnome2-utils unpacker
+
+TIMESTAMP="${PV:0:4}-${PV:4:2}-${PV:6:2}"
+MY_PN="Grimrock"
+DESCRIPTION="Legend of Grimrock: The ultimate dungeon crawling RPG + modding engine"
+HOMEPAGE="http://www.grimrock.net/"
+SRC_URI="Grimrock-Linux-${TIMESTAMP}.sh"
+
+SLOT="0"
+LICENSE="all-rights-reserved"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="fetch bindist splitdebug"
+
+QA_PREBUILT="/opt/${PN}/${MY_PN}.bin"
+
+RDEPEND="media-libs/freeimage
+ media-libs/freetype:2
+ media-libs/openal
+ media-libs/libsdl2[opengl,sound,video]
+ media-libs/libvorbis
+ sys-libs/zlib[minizip]
+ virtual/opengl
+ x11-libs/libX11"
+
+DEPEND="app-arch/xz-utils"
+
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please buy and download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to your distfiles directory."
+}
+
+src_unpack() {
+ myarch=$(usex amd64 x86_64 x86)
+ unpack_makeself
+
+ local i
+ for i in subarch instarchive_all instarchive_linux_${myarch}; do
+ ln -snf "${i}" "${i}.tar.xz" || die
+ unpack ./"${i}.tar.xz"
+ done
+}
+
+src_install() {
+ local dir=/opt/${PN}
+
+ insinto "${dir}"
+ doins ${PN}.{dat,png}
+
+ exeinto "${dir}"
+ newexe ${MY_PN}.bin{.${myarch},}
+ dosym "../..${dir}"/${MY_PN}.bin /usr/bin/${PN}
+
+ doicon -s 256 ${PN}.png
+ newicon -s 64 ${MY_PN}.png ${PN}.png
+ make_desktop_entry ${PN} "Legend of ${MY_PN}"
+
+ dodoc README.linux
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }
diff --git a/games-rpg/grimrock/metadata.xml b/games-rpg/grimrock/metadata.xml
index befc8c80e0b..26079e608be 100644
--- a/games-rpg/grimrock/metadata.xml
+++ b/games-rpg/grimrock/metadata.xml
@@ -5,7 +5,4 @@
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
- <use>
- <flag name="bundled-libs">Use bundled libraries.</flag>
- </use>
</pkgmetadata>